#include <ESPMegaProOS.hpp>

// Function Prototypes
void setup();
void loop();
void inputCallback(uint8_t pin, uint8_t state);

ESPMegaPRO espmega = ESPMegaPRO();

void setup() {
  espmega.begin();
  espmega.inputs.registerCallback(inputCallback);
}

void loop() {
  espmega.loop();
}

void inputCallback(uint8_t pin, uint8_t state) {
  // Match PWM Channel with the same number as the input pin
  espmega.outputs.digitalWrite(pin, state);
  Serial.printf("Input %d changed to %d\n", pin, state);
}